Skip to main content
POST
/
api
/
v1
/
brief-forms
/
import
/
file
Import From File
curl --request POST \
  --url https://api.example.com/api/v1/brief-forms/import/file \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "schema_json": {},
  "ui_schema_json": {},
  "source_type": "<string>",
  "status": "<string>",
  "is_template": true,
  "current_version": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "field_count": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

name
string | null
team_id
string<uuid> | null

Body

multipart/form-data
file
file
required

Response

Successful Response

Full form detail including schema.

id
string<uuid>
required
name
string
required
slug
string
required
user_id
string<uuid>
required
schema_json
Schema Json · object
required
ui_schema_json
Ui Schema Json · object
required
source_type
string
required
status
string
required
is_template
boolean
required
current_version
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
team_id
string<uuid> | null
source_file_id
string<uuid> | null
field_count
integer
default:0